# Generated from cabernet-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cabernet

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: A simple wrapper for paypal-sdk-permissions gem
License: MIT
URL: http://www.rubyplus.com.
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.2
# BuildRequires: rubygem(minitest) >= 5.8
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(vcr) >= 3.0.1
# BuildRequires: rubygem(vcr) < 3.1
# BuildRequires: rubygem(webmock) >= 1.24
# BuildRequires: rubygem(webmock) < 2
# BuildRequires: rubygem(simplecov) >= 0.11.2
# BuildRequires: rubygem(simplecov) < 0.12
# BuildRequires: rubygem(rubycritic)
BuildArch: noarch

%description
This library enables developers to execute Paypal APIs on behalf of merchants.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_instdir}/fixtures
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cabernet.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.2-1
- Initial package
